# Generated by Django 2.2.4 on 2019-09-30 07:14

from django.db import migrations, models
import django.db.models.deletion
import easy_thumbnails.fields
import utils.methods


class Migration(migrations.Migration):

    dependencies = [
        ('gallery', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='image',
            name='orientation',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Horizontal'), (1, 'Vertical')], default=None, null=True, verbose_name='image orientation'),
        ),
        migrations.AddField(
            model_name='image',
            name='parent',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_DEFAULT, related_name='parent_image', to='gallery.Image', verbose_name='parent image'),
        ),
        migrations.AddField(
            model_name='image',
            name='source',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Mobile'), (1, 'Web'), (2, 'All')], default=0, verbose_name='Source'),
        ),
        migrations.AddField(
            model_name='image',
            name='title',
            field=models.CharField(default='', max_length=255, verbose_name='title'),
        ),
        migrations.AlterField(
            model_name='image',
            name='image',
            field=easy_thumbnails.fields.ThumbnailerImageField(upload_to=utils.methods.image_path, verbose_name='image file'),
        ),
    ]
